当前位置: 首页>>技术问答>>正文


如何修复“无法下载包文件”错误?

ubuntuer 技术问答 , , 去评论

问题描述

安装Ubuntu后,我无法使用错误消息“无法下载包文件”更新任何软件。用Google搜索后,我尝试过:

  1. sudo apt-get update

  2. sudo apt-get upgrade

  3. 改为另一个来源

但我仍然得到相同的错误消息。互联网连接没有问题,因为我可以在Ubuntu中使用Firefox连接到互联网。

有任何想法吗?

最佳解决办法

Alt + F2并键入software-properties-gtk

将下载位置更改为主服务器或靠近您所在国家/地区的其他服务器,然后再次尝试sudo apt-get update

updates,update-manager,ubuntu

次佳解决办法

运行以下命令(保存旧列表的备份并创建新的列表文件夹),并且不会发生BADSIG错误:

cd /var/lib/apt
sudo mv lists lists.old
sudo mkdir -p lists/partial
sudo apt-get update

第三种解决办法

有一个Package Manager Troubleshooting Procedure通常可以解决这类问题。执行该过程的步骤1-4。 (步骤1,有时候足够了,是Bruno Pereirathis answer中发布的更详细的内容。如果步骤1还不够,请继续执行其他步骤。)

如果这不能解决问题,那么请选择终端中的所有文本(Edit> Select All),将其复制到剪贴板(Edit> Copy),并编辑您的问题以包含它(您将要使它成为一个块引用,以便格式化不会搞砸了)。这将为解决问题提供非常有用的信息。

参考资料

本文由Ubuntu问答整理, 博文地址: https://ubuntuqa.com/article/1728.html,未经允许,请勿转载。